/************************************************************
 * 
 * Collection set
 *
 ************************************************************/

#ifndef COLLECTSET_H
#define COLLECTSET_H

#include "collectserver.h"
#include "cnfgable.h"

class collectset : public configurable
{
 protected:
  collectservermapclass cservers;
  int                   noofservers;
  text_t                httpdomain;
  text_t                httpprefix;

 public:
  collectset(text_t &gsdlhome);
  virtual ~collectset();

  // initialise the collections
  bool init(ostream &logout);

  // configure all the servers as supplied
  void configure (const text_t &key, const text_tarray &cfgline);

  // return the total number of servers in the set
  int size();

  void getCollectionList(text_tarray &collist);

  // return the component map
  collectservermapclass servers();

  // return an individual collection server
  collectserver *getCollectServer(const text_t &collection)
    {
      return cservers.getcollectserver(collection);
    }
};

#endif
